## org.eclipse.datatools.connectivity.oda.design
Interface ScalarValueDefinition

public interface ScalarValueDefinition

Defines a scalar value with a brief description.

The following features are supported:

- `Value`
- `Display Name`

See Also:
  `DesignPackage.getScalarValueDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `DesignPackage.getScalarValueDefinition_Value()`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. A localized name that describes the value.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getScalarValueDefinition_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.